<?PHP
if (!defined('beerman')) { exit();}
$iduser = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

$sql = mysql_query("SELECT * FROM `tb_ads` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($sql) == 0){
echo "<span class='orangenote'>У вас ещё нет своих динамических ссылок!</span><center><a href='/adddyn.html' class='button-green'>Разместить ссылкку</a></center> ";
include('footer.php');exit();
}
while($row=mysql_fetch_assoc($sql)){
$row["balance"] = round($row["balance"],3);?>

<table id="id_clr_<?=$row["id"] ?>" class='profile1' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='7%'>
<?
if($row["paused"]==1 and $row["modered"]==0) { $st_mod = "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Ссылка<br>на<br>проверке</span>";
}elseif($row["paused"]==1 and $row["modered"]==2) { $st_mod = "block"; $tt="Ссылка заблокирована!"; $pt="<span class=desctext>Заблокирована<br>администрацией</span>";
}elseif($row["paused"]==0 and $row["modered"]==2) { $st_mod = "block"; $tt="Ссылка заблокирована!";$pt="<span class=desctext>Заблокирована<br>администрацией</span>";
}elseif($row["paused"]==0 and $row["modered"]==1) { $st_mod = "pause"; $tt="Приостановить ссылкy";
}elseif($row["paused"]==1 and $row["modered"]==1) { $st_mod = "play"; $tt="Запустить показ ссылки";
} ?>
	 <a id="st_pa_<?=$row["id"] ?>" class='serfcontrol-<?=$st_mod ?>' title='<?=$tt ?>' <? if($row["balance"]<-0.1) { ?>onclick='javascript:alertbudget();'<? }else{ if($row["modered"]==1) { ?>onclick="paused(<?=$row["id"] ?>,'1');"<? } } ?>></a>
	 </td>
	 <td width='78%'>
	 <a href='<?=$row["url"] ?>' target='_blank'><?=$row["description"] ?><br />
	 <span class='desctext'><?=$row["texto"] ?></span></a>
	 <br /><? if($row["modered"]==2) { echo "<small><font color=red>Причина отклонения: ".$row["reas"]." </font></small>";
	 }else{ ?>
	 <span class='serfinfotext'>№ <?=$row["id"] ?>&nbsp;&nbsp;
	 Клик: <?=$row["price"] ?> <?=$sitevalname ?>&nbsp;&nbsp;
	 Просмотров: <span id='view-<?=$row["id"] ?>'><?=$row["plan"] ?></span>&nbsp;&nbsp;
	<? } ?>
	<? if($row["all_zh"] > 0) echo "<font color=red>[<span id='abuse-".$row["id"]."' onclick='view_abuse(".$row["id"].");' style='cursor:pointer;'>Жалоб: ".$row["all_zh"]."]</span></font>"; ?>
	</span>
	 <a class='scon-delete' href='javascript:void(0);' title='Удалить ссылку' onclick=deletes(<?=$row["id"] ?>,'1');></a>
	 <a class='scon-erase' href='javascript:void(0);' title='Сброс статистики' onclick=clear_dyn(<?=$row["id"] ?>,<?=$row["plan"] ?>);></a>
	 <a class='scon-edit' href='/advertise.php?adv=dyn&edit=<?=$row["id"] ?>' title='Редактировать ссылку'></a>
	 <a class='scon-transfer' href='javascript:void(0);' title='Перевести баланс' onclick="hideserfaddblock('transfer-<?=$row["id"]?>');"></a>
	 <? echo "<div id='view-abuse-".$row["id"]."' style='display:none;'></div>"; ?>
	 </td>
	 <td class='budget'>
	 <? if($row["modered"] == 1) { if($row["balance"] <= 0) { 
	 $clss = "none"; $popol = "Пополнить";
	 }else{
	 $clss = NULL; $popol = $row["balance"];
	 }
	 echo "<a class='add-budget$clss' href='javascript:void(0);' title='Баланс площадки ".$row["balance"]." руб.' onclick=\"hideserfaddblock('serfadd".$row["id"]."');\">";
	 echo "<span style='font-size: 11px;' id='summ-pl-".$row["id"]."'>$popol</span></a>";
	 }else{ echo "<span style='font-size:11px;'>$pt</span>"; } ?></td></tr>
	 <tr id='serfadd<?=$row["id"] ?>' style='display: none;'>
	 <td class='ext' colspan='3' style='padding: 1px 5px;text-align:right;'><br />
    <input type="text" id="add_summ_<?=$row["id"] ?>" maxlength="5">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button class='button-flat-green1' onclick="add_summ('<?=$row["id"] ?>','1');">Пополнить</button>
	</td></tr>
	 <tr id="transfer-<?=$row["id"] ?>" style='display: none;'>
	 <td class='ext' colspan='3' style='padding: 1px 5px;text-align:right;'>
	 <span class="task-subtitle"><center>Чтобы перевести деньги нужно приостановить площадку</center></span>
	 <div style='float:right;'><button class='button-flat-green1' onclick="tranfer_summ('<?=$row["id"] ?>','1');" style='margin-top:1px;'>Перевести</button></div>
	 <div style='float:right;margin-left:5px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Сумма: <input type='text' style="width:40px; padding:2px;" id='trans-id-sm-<?=$row["id"] ?>' value='<?=$row["balance"]?>' maxlength="5">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
	 <div style='float:right;'><select id='trans-id-pl-<?=$row["id"] ?>' style='width:240px; padding:2px;'>
<?PHP
$d_sql = mysql_query("SELECT `id` FROM `tb_ads` WHERE `fromus`='$iduser' AND `id`<>'".$row["id"]."'") or die(mysql_error());
if(mysql_num_rows($d_sql) > 0){
echo "<option disabled='disabled'>Динамические ссылки</option>";
while($d_row = mysql_fetch_assoc($d_sql)){
echo "<option value='1:".$d_row["id"]."'>Рекламная площадка №".$d_row["id"]."</option>";
}
}
$p_sql = mysql_query("SELECT `id` FROM `seo_paymails` WHERE `fromid`='$iduser'") or die(mysql_error());
if(mysql_num_rows($p_sql) > 0){
echo "<option disabled='disabled'>Письма</option>";
while($p_row = mysql_fetch_assoc($p_sql)){
echo "<option value='2:".$p_row["id"]."'>Рекламная площадка №".$p_row["id"]."</option>";
}
}
$z_sql = mysql_query("SELECT `id` FROM `seo_tasks` WHERE `fromid`='$iduser'") or die(mysql_error());
if(mysql_num_rows($z_sql) > 0){ 
echo "<option disabled='disabled'>Задания</option>";
while($z_row = mysql_fetch_assoc($z_sql)){
echo "<option value='3:".$z_row["id"]."'>Рекламная площадка №".$z_row["id"]."</option>";
}
}
$k_sql = mysql_query("SELECT `id` FROM `tb_statlinks` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($k_sql) > 0){
echo "<option disabled='disabled'>Контекстная реклама</option>";
while($k_row = mysql_fetch_assoc($k_sql)){
echo "<option value='4:".$k_row["id"]."'>Рекламная площадка №".$k_row["id"]."</option>";
}
}
$b_sql = mysql_query("SELECT `id` FROM `tb_advban` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($b_sql) > 0){
echo "<option disabled='disabled'>Баннеры</option>";
while($b_row = mysql_fetch_assoc($b_sql)){
echo "<option value='5:".$b_row["id"]."'>Рекламная площадка №".$b_row["id"]."</option>";
}
}
?>	 
	 </select></div>
	 </td>
	 </tr>
	</table>
<?PHP } ?>
 
<script>
var progress = false;

function clear_dyn(id,plan){
if(!progress){
if(plan == 0){ QBinfo('Ошибка:','<b>Счетчик равен 0</b>',4000,'bottom-right');return false;}
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'clear_dyn', 'id' : id, 'plan' : plan},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){QBinfo('Ошибка:','<b>Нет такой рекламной площадки!</b>',4000,'bottom-right');}
else if(data == 2){
$("#view-"+id).html("0");
QBinfo('Поздравляем:','<b>Рекламная площадка успешно обнулена!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}
</script>